:root {
  --primario: #0e274e;
  --secundario: #afcdfe;
  --negro: #000000;
  --blanco: #ffffff;
  --transparente: rgba(0, 0, 0, 0.683);
  /* Tipografía */
  --fuente: "Rubik", sans-serif;
  --tipo-secundaria: Verdana;
  --border-radius: 18px;
  --transition: all 0.3s ease-in-out;
  --text-shadow: 2px 2px 3px #000000;
}
html {
  color: var(--blanco);
  font-family: var(--fuente);
}
h1 {
  font-size: 2.5rem;
  font-weight: 200;
}
h2,
h3 {
  font-weight: 200;
}
p {
  font-size: 1.1rem;
  font-weight: 200;
}
i {
  font-size: 1.8rem;
}
ul {
  font-size: 1.1rem;
}

/** Botones */
.boton {
  margin-top: 1rem;
  width: 9rem;
  padding: 0.5rem;
  text-align: center;
  background-color: var(--secundario);
  border-radius: var(--border-radius);
  outline: 1px solid var(--blanco);
  outline-offset: -0.3rem;
}
.boton2 {
  width: 9rem;
  padding: 0.5rem;
  text-align: center;
  background: rgba(32, 32, 32, 0.33);
  backdrop-filter: blur(7.2px);
  border-radius: var(--border-radius);
  outline: 1px solid var(--blanco);
  outline-offset: -0.3rem;
}

/* ******************************************* */
/* Animación fadeIn para el body de cada página y lightbox políticas y formulario de contacto */
.fade-in {
  animation: fadeIn ease 2s;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.fondo-web {
  width: 100%;
  height: 100vh;
  position: fixed;
  object-fit: cover;
  z-index: -1;
}

/* **************************************** */
/** LIGHTBOX POLITICAS */
/* **************************************** */
.light-politicas {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(10px);
  z-index: 5;
  display: none;
  white-space: pre-line;
  animation: fadeIn 1s;
  .cerrar {
    font-size: 2rem;
    position: absolute;
    top: 1rem;
    right: 1rem;
    background-color: transparent;
    &:hover {
      transform: scale(1.1);
    }
  }
  .textos-politicas {
    background-color: transparent;
    width: 90vw;
    height: 80vh;
    margin: 3rem auto;
    overflow-y: scroll;
    padding: 2rem;
    border-radius: var(--border-radius);
    box-shadow: 0 0 4rem rgba(0, 0, 0, 1);
    box-shadow: 1rem 1rem 3rem #111111, -1rem -1rem 3rem #e9e9e9;
  }
}
.qr-denuncias {
  width: 8rem;
  margin: 2rem auto;
}
.lightbox-activo {
  display: block;
  transition: var(--transition);
}

/* ******************************** */
/** TOOLTIPS */
/* ******************************** */
.tooltip0,
.tooltip1,
.tooltip2,
.tooltip3,
.tooltip4,
.tooltip5,
.tooltip6,
.tooltip7 {
  position: relative;
}
.tooltip0::after,
.tooltip1::after,
.tooltip2::after,
.tooltip3::after,
.tooltip4::after,
.tooltip5::after,
.tooltip6::after,
.tooltip7::after {
  position: absolute;
  right: 0.1rem;
  top: 3rem;
  background-color: var(--negro);
  color: var(--blanco);
  font-size: 0.7rem;
  padding: 0.2rem 0.5rem;
  border: 1px solid var(--blanco);
  border-radius: var(--border-radius);
  opacity: 0;
  transition: opacity 0.3s linear;
  white-space: nowrap;
}
.tooltip0::after {
  content: "WhatsApp";
}
.tooltip1::after {
  content: "Llámenos";
}
.tooltip2::after {
  content: "Contact";
}
.tooltip3::after {
  content: "English";
}
.tooltip4::after {
  content: "Español";
}
.tooltip5::after {
  content: "Français";
}
.tooltip6::after {
  content: "Deutsch";
}
.tooltip7::after {
  content: "Google Maps";
}
.tooltip0:hover::after,
.tooltip1:hover::after,
.tooltip2:hover::after,
.tooltip3:hover::after,
.tooltip4:hover::after,
.tooltip5:hover::after,
.tooltip6:hover::after,
.tooltip7:hover::after {
  opacity: 1;
}

/* ************************ */
/* * FORMULARIO DE CONTACTO */
/* ************************ */
#light-form {
  z-index: 4;
}
.container {
  color: var(--blanco);
  background-color: transparent;
  width: 60vw;
  height: 80vh;
  margin: 3rem auto;
  overflow-y: scroll;
  padding: 2rem;
  border-radius: var(--border-radius);
  box-shadow: 1rem 1rem 3rem #111111, -1rem -1rem 3rem #e9e9e9;
  @media screen and (max-width: 875px) {
    width: 95%;
  }
}
form {
  margin-top: -10rem;
}
input[type="text"],
textarea {
  width: 100%;
  min-width: 100%;
  padding: 6px;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 6px;
  resize: vertical;
}
input[type="email"] {
  width: 100%;
  margin-top: 6px;
  margin-bottom: 6px;
  padding: 6px;
}
input[type="tel"] {
  margin-top: 6px;
  margin-bottom: 6px;
  padding: 6px;
}
.submit_button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: 0 auto;
  padding: 0.5rem;
  color: var(--blanco);
  cursor: pointer;
  font-size: 1.2rem;
  font-weight: bold;
  background-color: var(--secundario);
  border: 1px solid white;
  border-radius: var(--border-radius);
}
.submit_button:hover {
  color: var(--secundario);
  background-color: var(--blanco);
  transition: 0.5s;
  border: 1px solid var(--secundario);
}

/* ******************************** */
/** LIGHTBOX MAPA */
/* ******************************** */
.mapa {
  h2,
  h3,
  p {
    padding-bottom: 0.5rem;
  }
  h3,
  p {
    font-size: 0.9rem;
  }
  .llegar {
    padding: 0.5rem 0;
    text-decoration: underline;
    color: lightblue;
  }
}
/* ******************************** */
/** BANER DE POLÍTICA DE COOKIES */
/* ******************************** */
#cookieNotice {
  background-color: #0000009c;
  color: var(--blanco);
  display: block;
  box-sizing: border-box;
  position: fixed;
  padding: 1rem;
  border-radius: 10px;
  box-shadow: 0 6px 6px rgb(0 0 0 / 25%);
  font-family: inherit;
  z-index: 2;
  & p {
    font-size: 0.9rem;
  }
}
#cookieNotice.display-left {
  left: 20px;
  bottom: 90px;
  width: 80dvw;
  max-width: 50rem;
}
#saber {
  color: gray;
  font-size: 0.9rem;
  font-weight: 200;
  text-decoration: underline;
  padding-top: 20px;
}
.btn-primary {
  background-color: #5880e1;
  color: white;
  border: none;
  width: 100%;
  padding: 8px;
  font-size: 0.9rem;
  margin: 20px 0 0;
  cursor: pointer;
}

/** PÁGINA  gracias.html */
.thank-you {
  background-image: linear-gradient(
    40deg,
    var(--negro),
    var(--primario),
    var(--negro)
  );
}
.ok {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 50rem;
  margin: 0 auto;
  padding: 10vh 1rem;
  & img {
    width: 50vw;
    max-width: 20rem;
    margin-bottom: 1rem;
  }
  & span {
    color: var(--blanco);
    font-size: 1.1rem;
    font-weight: bold;
    margin-bottom: 3rem;
    & img {
      width: 2rem;
      margin: 0 0.5rem;
    }
    @media (width<=960px) {
      font-size: 1.1rem;
    }
  }
  & a {
    color: var(--blanco);
    font-size: 1.5rem;
    font-weight: bold;
    text-decoration: underline;
    &:hover {
      color: var(--secundario);
      transition: var(--transition);
    }
  }
}

/** Imagenes rotatorias hero */
.tarjetaHero,
.logoFooter {
  height: 8rem;
  width: 8rem;
  background-color: #333333;
  border-radius: 50%;
  margin: 0.4rem;
  box-shadow: 0 0 10px rgba(172, 172, 172, 0.5);
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 2px solid var(--secundario);
  transform: scale(0.5);
  animation: scale 1s 2s forwards;
}
@keyframes scale {
  100% {
    transform: scale(1);
  }
}
.logoFooter {
  position: relative;
  margin: 0 auto 2rem;
}

.tarjetaHero::before,
.logoFooter::before {
  content: "";
  position: absolute;
  height: 9rem;
  width: 9rem;
  background-image: conic-gradient(
    var(--secundario) 0deg,
    var(--negro) 10deg,
    var(--secundario) 100deg,
    var(--negro) 110deg,
    var(--secundario) 220deg,
    var(--negro) 230deg,
    var(--secundario) 340deg
  );
  animation: rotar 8s linear infinite;
}

@keyframes rotar {
  100% {
    transform: rotate(360deg);
  }
}
/** Imagenes rotatorias hero */
.tarjetaHero::after {
  content: "";
  position: absolute;
  height: 7.5rem;
  width: 7.5rem;
  background-size: cover;
  box-shadow: inset 0 0 10px rgba(172, 172, 172, 0.5);
  border-radius: 50%;
}
.tarjeta1::after {
  background-image: url(/images/productos/market8.webp);
}
.tarjeta2::after {
  background-image: url(/images/productos/trip15.webp);
}
.tarjeta3::after {
  background-image: url(/images/productos/trip9.webp);
}
.tarjeta4::after {
  background-image: url(/images/productos/trip1.webp);
}
.tarjeta5::after {
  background-image: url(/images/icon.webp);
}
.tarjeta6::after {
  background-image: url(/images/productos/market5.webp);
}
.tarjeta7::after {
  background-image: url(/images/productos/lobos1.webp);
}
.tarjeta8::after {
  background-image: url(/images/productos/graciosa5.webp);
}
.tarjeta9::after {
  background-image: url(/images/productos/lobos5.webp);
}
